/// Ability: Air Dash
// allow you to gain a burst of speed
// and some personal changes
freeslot("S_ECLIP_DASH")
states[S_ECLIP_DASH] = {SPR_PLAY, SPR2_GASP, 35, nil, nil, nil, S_PLAY_FALL}
// CUSTOMIZE SECTION START
local hasthok = false // if this is true, you will spawn a thok mobj while dashing
local hasghost = true // if this is true, you will have a after image while dashing
local ishoming = true // make this true to home into foes while dashing
local homingtime = 350 // the time you will target a foe
// CUSTOMIZE SECTION END PROCCED BELOW IF YOU KNOW WHAT YOUR DOING

addHook ("ThinkFrame", function(player)
	for player in players.iterate
		if player.mo.valid
		and(player.mo.skin == "eclipse")
		and(player.pflags & PF_THOKKED)
			player.mo.state = S_ECLIP_DASH
			player.eclipdash = true
		end
		if player.eclipdash == nil
			player.eclipdash = false
		end
		if player.eclipdash == true
		and not (player.pflags & PF_THOKKED)
		player.eclipdash = false
		end
		if player.pflags & PF_THOKKED
		and  (player.eclipdash == false)
		player.eclipdash = true
		end
	end
end)

local function HomingDash(player)
if player.mo.skin ~= "eclipse" then
return
end

player.charability = CA_HOMINGTHOK
P_InstaThrust(player.mo, player.mo.angle, FRACUNIT*35)
P_SetObjectMomZ(player.mo, 12*FRACUNIT, true)
S_StartSound(player.mo, sfx_cdfm62)
end

addHook ("AbilitySpecial", function(player)
		if player.mo.skin == "eclipse" then
			if player.pflags & PF_THOKKED then
				return true
			end
			player.mo.state = S_ECLIP_DASH
			HomingDash(player)
	end
end)